%define         anolis_release 4

Name:           perl-Unicode-Collate
Version:        1.31
Release:        %{anolis_release}%{?dist}
License:        (GPL+ or Artistic) and Unicode
Summary:        Unicode Collation Algorithm
URL:            https://metacpan.org/release/Unicode-Collate
Source0:        https://cpan.metacpan.org/authors/id/S/SA/SADAHIRO/Unicode-Collate-%{version}.tar.gz

BuildRequires:  gcc findutils make coreutils
BuildRequires:  perl-generators perl-interpreter perl-devel
BuildRequires:  perl(constant) perl(Carp) perl(File::Spec) perl(strict)
BuildRequires:  perl(warnings) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(XSLoader) perl(base) perl(Unicode::Normalize)

Requires:       perl(Unicode::Normalize)
Conflicts:      perl < 4:5.22.0-347

Obsoletes:      %{name}-tests < %{EVR}

%description
perl-Unicode-Collate is a Perl module that provides an implementation of Unicode 
collation algorithms. This module can be used for sorting Unicode strings as well 
as comparing and matching strings.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n Unicode-Collate-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%{make_build}

%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
export HARNESS_OPTIONS=j$(perl -e 'if ($ARGV[0] =~ /.*-j([0-9][0-9]*).*/) {print $1} else {print 1}' -- '%{?_smp_mflags}')
make test

%files
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Unicode*
%{_mandir}/man3/*

%files doc
%doc Changes README

%changelog
* Fri Apr 14 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.31-4
- Optimize the spec file

* Wed Feb 08 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.31-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.31-2
- rebuild with perl 5.36.0

* Thu Apr 21 2022 yuanhui <yuanhui@linux.alibaba.com> - 1.31-1
- Init perl-Unicode-Collate for anolis os 23
